//
//  ASDate_extensions.h
//  iOrdning
//
//  Created by Erik Aderstedt on 2009-01-08.
//  Copyright 2009 Aderstedt Software AB. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSDate(ASDate_extensions)

+ (NSDateFormatter *)dateIndexFormatter;
+ (NSDate *)dateFromDateIndex:(NSNumber *)i;
- (NSNumber *)dateIndex;
+ (NSDateComponents *)dateComponentsForDateIndex:(NSNumber *)dateIndex;
+ (NSNumber *)dateIndexByAdding:(NSInteger)days toDateIndex:(NSNumber *)dateIndex;
+ (NSString *)stringFromDateIndex:(NSNumber *)dateIndex;

@end

@interface DateToDateIndexTransformer : NSValueTransformer

@end

@interface ASDateIndexFormatter : NSNumberFormatter

@end