//
//  CodeToNameTransformers.h
//  iOrdning
//
//  Created by Erik Aderstedt on 2008-08-22.
//  Copyright 2008 Aderstedt Software AB. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface CodeToNameTransformer : NSValueTransformer {
	NSMutableDictionary *lookupDictionary;
	NSArray *sortedNames;
}
- (NSArray *)sortedNames;
@end

@interface LanguageCodeToNameTransformer : CodeToNameTransformer {
}
@end

@interface CountryCodeToNameTransformer : CodeToNameTransformer {
}
@end

