/*
 *  ASViewControllerProtocol.h
 *  Economacs
 *
 *  Created by Erik Aderstedt on 2010-11-15.
 *  Copyright 2010 Aderstedt Software AB. All rights reserved.
 *
 */

@protocol ASViewControllerProtocol <NSObject>

@required
@property (nonatomic,retain) NSManagedObjectContext *managedObjectContext;

- (void)willAppear;
- (void)willDisappear;
+ (NSString *)defaultNibName;

@end
