/*
 *  ErrorCodes.h
 *  iOrdning
 *
 *  Created by Erik Aderstedt on 2008-10-07.
 *  Copyright 2008 Aderstedt Software AB. All rights reserved.
 *
 */

// Model-related errors in the "se.iordning" domain.
#define ALREADY_HAS_FISCAL_YEAR					1
#define NO_APPROPRIATE_FISCAL_YEAR				2
#define MULTIPLE_MATCHING_FISCAL_YEARS			3
#define NO_NEW_ENTRY_FOUND						4
#define BLANK_INVOICE							5
#define NO_PREVIOUS_FISCAL_YEAR					6
#define END_BEFORE_START						7

#define NO_ENTRY_FOR_PRINTING					8

#define SIEIMPORT_PROBLEMS						9
#define NO_SALES_ENTRY							10

#define CURRENCY_GAINS_LOSS_ACCOUNT_MISSING		11
#define SOME_ACCOUNT_SETTINGS_MISSING			12
#define ACCOUNTS_RECEIVABLE_MISSING				13
#define CANNOT_MARK_AS_LOSS						14
#define BAD_SALES_ENTRY							15
#define CANNOT_RETURN							16
#define PAID_TOO_MUCH							17
#define COULD_NOT_CREATE_SALES_ENTRY			18
#define CANNOT_CHANGE_CURRENCY					19
#define NO_ACCOUNTS_RECEIVABLE					20
#define ARTICLES_NEED_NAME						21
#define ARTICLES_NEED_NUMBER					22
#define ARTICLES_NEED_SALES_ACCOUNT				23
#define ARTICLES_NEED_VAT_ACCOUNT				24
#define DUPLICATE_STARTING_BALANCE				25
#define DUPLICATE_ACCOUNT_NUMBERS				26
#define OVERLAPPING_FISCAL_YEARS				27
#define NO_NUMBER_FOR_ACCOUNT                   28

#define INVALID_PLUGIN							40
#define BAD_STARTING_BALANCE					50

#define FILE_IS_READ_ONLY						60
#define VALIDATION_ERROR						70

#define MAGIC_ENTRY_NO_VAT_LEVEL				80
#define MAGIC_ENTRY_INCOMPLETE_VAT_SETTINGS		81
#define MAGIC_ENTRY_WRONG_AMOUNT                82


