//
//  Template.h
//  Economacs
//
//  Created by Erik Aderstedt on 2010-07-15.
//  Copyright 2010 Aderstedt Software AB. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface Template : NSManagedObject {
	NSImage *_preview;
}
@property(retain) NSString *name;

+ (NSArray *)languagesForTemplateName:(NSString *)name inContext:(NSManagedObjectContext *)moc;
+ (Template *)templateWithName:(NSString *)name inContext:(NSManagedObjectContext *)moc;

- (NSString *)localizedName;

+ (Template *)templateInContext:(NSManagedObjectContext *)moc;
+ (Template *)defaultTemplateInContext:(NSManagedObjectContext *)moc;

@end
